{"openapi":"3.0.3","info":{"title":"Omnistrate Registration API","description":"REST API for Omnistrate Service Registration","version":"2022-09-01-00"},"servers":[{"url":"https://api.omnistrate.cloud"}],"paths":{"/2022-09-01-00/accountconfig":{"post":{"tags":["account-config-api"],"summary":"CreateAccountConfig account-config-api","operationId":"account-config-api#CreateAccountConfig","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAccountConfigRequest2"},"example":{"awsAccessKey":"Est iste ex et asperiores.","awsAccountID":"123456789012","awsBootstrapRoleARN":"arn:aws:iam::\u003cACCOUNT_ID\u003e:role/\u003cROLE_NAME\u003e","awsSecretKey":"Consequuntur et nam in et.","azureSubscriptionID":"12345678-1234-1234-1234-123456789012","azureTenantID":"12345678-1234-1234-1234-123456789012","byoaInstanceID":"instance-12345678","cloudProviderId":"Consectetur quos vitae.","customTags":[{"key":"customKey","value":"customValue"},{"key":"customKey","value":"customValue"},{"key":"customKey","value":"customValue"},{"key":"customKey","value":"customValue"}],"description":"An AWS account hosting multiple dev environments","gcpProjectID":"my-project","gcpProjectNumber":"123456789012","gcpServiceAccountEmail":"bootstrap@my-project.iam.gserviceaccount.com","gcpServiceAccountKey":"Qui corporis et.","name":"Dev AWS account","nebiusBindings":[{"ownsArtifactBucket":true,"privateKeyPEM":"Modi ex hic.","projectID":"project-e00b497fpr00n5hg8wbh2d","publicKeyID":"publickey-e00ngem85mc6pr5v63","serviceAccountID":"serviceaccount-e00vqdp9fskhmmaan8"},{"ownsArtifactBucket":true,"privateKeyPEM":"Modi ex hic.","projectID":"project-e00b497fpr00n5hg8wbh2d","publicKeyID":"publickey-e00ngem85mc6pr5v63","serviceAccountID":"serviceaccount-e00vqdp9fskhmmaan8"},{"ownsArtifactBucket":true,"privateKeyPEM":"Modi ex hic.","projectID":"project-e00b497fpr00n5hg8wbh2d","publicKeyID":"publickey-e00ngem85mc6pr5v63","serviceAccountID":"serviceaccount-e00vqdp9fskhmmaan8"},{"ownsArtifactBucket":true,"privateKeyPEM":"Modi ex hic.","projectID":"project-e00b497fpr00n5hg8wbh2d","publicKeyID":"publickey-e00ngem85mc6pr5v63","serviceAccountID":"serviceaccount-e00vqdp9fskhmmaan8"}],"nebiusTenantID":"tenant-id","ociDomainID":"ocid1.domain.oc1..aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa","ociTenancyID":"ocid1.tenancy.oc1..aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"}}}},"responses":{"202":{"description":"Accepted response.","content":{"application/json":{"schema":{"type":"string","description":"The ID of the registered account config","example":"Molestiae harum cupiditate aliquid occaecati repellendus sit."},"example":"Quam quo dolorum nulla dolores."}}},"400":{"description":"bad_request: Response used on a bad request","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"not_found: Response used when the requested resource is not found","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"409":{"description":"invalid_state: Response used when requested resource is in an invalid state for this operation","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"failed_request: Response used on failure to create an account config","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"api_key_header_Authorization":[]}]}},"/2022-09-01-00/accountconfig/aws/{awsAccountID}":{"get":{"tags":["account-config-api"],"summary":"DescribeAccountConfigByAWSAccountID account-config-api","operationId":"account-config-api#DescribeAccountConfigByAWSAccountID","parameters":[{"name":"awsAccountID","in":"path","description":"The AWS account ID","required":true,"schema":{"type":"string","description":"The AWS account ID","example":"123456789012"},"example":"123456789012"}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DescribeAccountConfigByAWSAccountIDResult"},"example":{"awsAccountID":"123456789012","awsBootstrapRoleARN":"arn:aws:iam::\u003cACCOUNT_ID\u003e:role/\u003cROLE_NAME\u003e","awsCloudFormationNoLBTemplateURL":"https://s3.amazonaws.com/omnistrate-cloudformation/org-EUVvex3bVm/account-config-setup-template.yaml\u0026param_CreateLoadBalancerPolicy=false","awsCloudFormationTemplateURL":"https://s3.amazonaws.com/omnistrate-cloudformation/org-EUVvex3bVm/account-config-setup-template.yaml","byoaInstanceIDs":["instance-12345678","instance-abcdefgh"],"cloudProviderId":"Nobis sint mollitia iste aut quas.","description":"An AWS account hosting multiple dev environments","id":"Aut quo nisi laboriosam sint et.","name":"Dev AWS account","status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Account is ready"}}}},"400":{"description":"bad_request: Response used on a bad request","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"auth_failure: Response used on authentication failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"forbidden: Response used on authorization failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"not_found: Response used when the requested resource is not found","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"409":{"description":"invalid_state: Response used when requested resource is in an invalid state for this operation","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"failed_request: Response used on failure to describe an account config","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"api_key_header_Authorization":[]}]}},"/2022-09-01-00/accountconfig/azure/{azureSubscriptionID}":{"get":{"tags":["account-config-api"],"summary":"DescribeAccountConfigByAzureSubscriptionID account-config-api","operationId":"account-config-api#DescribeAccountConfigByAzureSubscriptionID","parameters":[{"name":"azureSubscriptionID","in":"path","description":"The Azure subscription ID","required":true,"schema":{"type":"string","description":"The Azure subscription ID","example":"12345678-1234-1234-1234-123456789012"},"example":"12345678-1234-1234-1234-123456789012"}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DescribeAccountConfigByAzureSubscriptionIDResult"},"example":{"azureSubscriptionID":"12345678-1234-1234-1234-123456789012","azureTenantID":"12345678-1234-1234-1234-123456789012","byoaInstanceIDs":["instance-12345678","instance-abcdefgh"],"cloudProviderId":"Eum voluptatibus sed.","description":"An AWS account hosting multiple dev environments","id":"Est eveniet et earum.","name":"Dev AWS account","status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Account is ready"}}}},"400":{"description":"bad_request: Response used on a bad request","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"auth_failure: Response used on authentication failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"forbidden: Response used on authorization failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"not_found: Response used when the requested resource is not found","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"409":{"description":"invalid_state: Response used when requested resource is in an invalid state for this operation","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"failed_request: Response used on failure to describe an account config","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"api_key_header_Authorization":[]}]}},"/2022-09-01-00/accountconfig/byoa":{"get":{"tags":["account-config-api"],"summary":"ListBYOAConfig account-config-api","operationId":"account-config-api#ListBYOAConfig","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListBYOAConfigRequest2"},"example":{"cloudProviderName":"aws|azure|gcp|nebius|oci|byoc-onprem|all"}}}},"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListBYOAConfigResult"},"example":{"accountConfigs":[{"awsAccountID":"123456789012","awsBootstrapRoleARN":"arn:aws:iam::\u003cACCOUNT_ID\u003e:role/\u003cROLE_NAME\u003e","awsCloudFormationNoLBTemplateURL":"https://s3.amazonaws.com/omnistrate-cloudformation/org-EUVvex3bVm/account-config-setup-template-no-lb-policy.yaml","awsCloudFormationTemplateURL":"https://s3.amazonaws.com/omnistrate-cloudformation/org-EUVvex3bVm/account-config-setup-template.yaml","azureBootstrapShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/azure-bootstrap.sh?account_config_id=ac-MOju2uwKM0)\"","azureDisconnectShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/azure-disconnect.sh?account_config_id=ac-MOju2uwKM0)\"","azureOffboardShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/azure-offboard.sh?account_config_id=ac-MOju2uwKM0)\"","azureSubscriptionID":"12345678-1234-1234-1234-123456789012","azureTenantID":"12345678-1234-1234-1234-123456789012","byoaInstanceIDs":["instance-12345678","instance-abcdefgh"],"cloudProviderId":"Debitis vel eligendi.","customTags":[{"key":"customKey","value":"customValue"},{"key":"customKey","value":"customValue"},{"key":"customKey","value":"customValue"},{"key":"customKey","value":"customValue"}],"description":"An AWS account hosting multiple dev environments","gcpBootstrapShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/gcp-bootstrap.sh?account_config_id=ac-MOju2uwKM0)\"","gcpDisconnectShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/gcp-disconnect.sh?account_config_id=ac-MOju2uwKM0)\"","gcpOffboardShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/gcp-offboard.sh?account_config_id=ac-MOju2uwKM0)\"","gcpProjectID":"my-project","gcpProjectNumber":"123456789012","gcpServiceAccountEmail":"bootstrap@my-project.iam.gserviceaccount.com","id":"Aut consectetur nam quasi et animi et.","name":"Dev AWS account","nebiusBindings":[{"derivedPublicKeyFingerprint":"SHA256:derived-public-key-fingerprint","keyExpiresAt":"2026-04-15T12:00:00Z","keyFingerprint":"SHA256:live-nebius-auth-public-key-fingerprint","keyState":"ACTIVE","ownsArtifactBucket":true,"projectID":"project-e00b497fpr00n5hg8wbh2d","publicKeyID":"publickey-e00ngem85mc6pr5v63","publicKeyIDMatches":true,"region":"eu-north1","serviceAccountID":"serviceaccount-e00vqdp9fskhmmaan8","serviceAccountKeyValidated":true,"status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Binding is ready"},{"derivedPublicKeyFingerprint":"SHA256:derived-public-key-fingerprint","keyExpiresAt":"2026-04-15T12:00:00Z","keyFingerprint":"SHA256:live-nebius-auth-public-key-fingerprint","keyState":"ACTIVE","ownsArtifactBucket":true,"projectID":"project-e00b497fpr00n5hg8wbh2d","publicKeyID":"publickey-e00ngem85mc6pr5v63","publicKeyIDMatches":true,"region":"eu-north1","serviceAccountID":"serviceaccount-e00vqdp9fskhmmaan8","serviceAccountKeyValidated":true,"status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Binding is ready"}],"nebiusTenantID":"tenant-e00abc123","ociBootstrapShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/oci-bootstrap.sh?account_config_id=ac-MOju2uwKM0)\"","ociDisconnectShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/oci-disconnect.sh?account_config_id=ac-MOju2uwKM0)\"","ociDomainID":"ocid1.domain.oc1..aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa","ociOffboardShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/oci-offboard.sh?account_config_id=ac-MOju2uwKM0)\"","ociTenancyID":"ocid1.tenancy.oc1..aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa","status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Account is ready"},{"awsAccountID":"123456789012","awsBootstrapRoleARN":"arn:aws:iam::\u003cACCOUNT_ID\u003e:role/\u003cROLE_NAME\u003e","awsCloudFormationNoLBTemplateURL":"https://s3.amazonaws.com/omnistrate-cloudformation/org-EUVvex3bVm/account-config-setup-template-no-lb-policy.yaml","awsCloudFormationTemplateURL":"https://s3.amazonaws.com/omnistrate-cloudformation/org-EUVvex3bVm/account-config-setup-template.yaml","azureBootstrapShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/azure-bootstrap.sh?account_config_id=ac-MOju2uwKM0)\"","azureDisconnectShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/azure-disconnect.sh?account_config_id=ac-MOju2uwKM0)\"","azureOffboardShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/azure-offboard.sh?account_config_id=ac-MOju2uwKM0)\"","azureSubscriptionID":"12345678-1234-1234-1234-123456789012","azureTenantID":"12345678-1234-1234-1234-123456789012","byoaInstanceIDs":["instance-12345678","instance-abcdefgh"],"cloudProviderId":"Debitis vel eligendi.","customTags":[{"key":"customKey","value":"customValue"},{"key":"customKey","value":"customValue"},{"key":"customKey","value":"customValue"},{"key":"customKey","value":"customValue"}],"description":"An AWS account hosting multiple dev environments","gcpBootstrapShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/gcp-bootstrap.sh?account_config_id=ac-MOju2uwKM0)\"","gcpDisconnectShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/gcp-disconnect.sh?account_config_id=ac-MOju2uwKM0)\"","gcpOffboardShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/gcp-offboard.sh?account_config_id=ac-MOju2uwKM0)\"","gcpProjectID":"my-project","gcpProjectNumber":"123456789012","gcpServiceAccountEmail":"bootstrap@my-project.iam.gserviceaccount.com","id":"Aut consectetur nam quasi et animi et.","name":"Dev AWS account","nebiusBindings":[{"derivedPublicKeyFingerprint":"SHA256:derived-public-key-fingerprint","keyExpiresAt":"2026-04-15T12:00:00Z","keyFingerprint":"SHA256:live-nebius-auth-public-key-fingerprint","keyState":"ACTIVE","ownsArtifactBucket":true,"projectID":"project-e00b497fpr00n5hg8wbh2d","publicKeyID":"publickey-e00ngem85mc6pr5v63","publicKeyIDMatches":true,"region":"eu-north1","serviceAccountID":"serviceaccount-e00vqdp9fskhmmaan8","serviceAccountKeyValidated":true,"status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Binding is ready"},{"derivedPublicKeyFingerprint":"SHA256:derived-public-key-fingerprint","keyExpiresAt":"2026-04-15T12:00:00Z","keyFingerprint":"SHA256:live-nebius-auth-public-key-fingerprint","keyState":"ACTIVE","ownsArtifactBucket":true,"projectID":"project-e00b497fpr00n5hg8wbh2d","publicKeyID":"publickey-e00ngem85mc6pr5v63","publicKeyIDMatches":true,"region":"eu-north1","serviceAccountID":"serviceaccount-e00vqdp9fskhmmaan8","serviceAccountKeyValidated":true,"status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Binding is ready"}],"nebiusTenantID":"tenant-e00abc123","ociBootstrapShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/oci-bootstrap.sh?account_config_id=ac-MOju2uwKM0)\"","ociDisconnectShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/oci-disconnect.sh?account_config_id=ac-MOju2uwKM0)\"","ociDomainID":"ocid1.domain.oc1..aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa","ociOffboardShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/oci-offboard.sh?account_config_id=ac-MOju2uwKM0)\"","ociTenancyID":"ocid1.tenancy.oc1..aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa","status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Account is ready"},{"awsAccountID":"123456789012","awsBootstrapRoleARN":"arn:aws:iam::\u003cACCOUNT_ID\u003e:role/\u003cROLE_NAME\u003e","awsCloudFormationNoLBTemplateURL":"https://s3.amazonaws.com/omnistrate-cloudformation/org-EUVvex3bVm/account-config-setup-template-no-lb-policy.yaml","awsCloudFormationTemplateURL":"https://s3.amazonaws.com/omnistrate-cloudformation/org-EUVvex3bVm/account-config-setup-template.yaml","azureBootstrapShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/azure-bootstrap.sh?account_config_id=ac-MOju2uwKM0)\"","azureDisconnectShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/azure-disconnect.sh?account_config_id=ac-MOju2uwKM0)\"","azureOffboardShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/azure-offboard.sh?account_config_id=ac-MOju2uwKM0)\"","azureSubscriptionID":"12345678-1234-1234-1234-123456789012","azureTenantID":"12345678-1234-1234-1234-123456789012","byoaInstanceIDs":["instance-12345678","instance-abcdefgh"],"cloudProviderId":"Debitis vel eligendi.","customTags":[{"key":"customKey","value":"customValue"},{"key":"customKey","value":"customValue"},{"key":"customKey","value":"customValue"},{"key":"customKey","value":"customValue"}],"description":"An AWS account hosting multiple dev environments","gcpBootstrapShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/gcp-bootstrap.sh?account_config_id=ac-MOju2uwKM0)\"","gcpDisconnectShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/gcp-disconnect.sh?account_config_id=ac-MOju2uwKM0)\"","gcpOffboardShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/gcp-offboard.sh?account_config_id=ac-MOju2uwKM0)\"","gcpProjectID":"my-project","gcpProjectNumber":"123456789012","gcpServiceAccountEmail":"bootstrap@my-project.iam.gserviceaccount.com","id":"Aut consectetur nam quasi et animi et.","name":"Dev AWS account","nebiusBindings":[{"derivedPublicKeyFingerprint":"SHA256:derived-public-key-fingerprint","keyExpiresAt":"2026-04-15T12:00:00Z","keyFingerprint":"SHA256:live-nebius-auth-public-key-fingerprint","keyState":"ACTIVE","ownsArtifactBucket":true,"projectID":"project-e00b497fpr00n5hg8wbh2d","publicKeyID":"publickey-e00ngem85mc6pr5v63","publicKeyIDMatches":true,"region":"eu-north1","serviceAccountID":"serviceaccount-e00vqdp9fskhmmaan8","serviceAccountKeyValidated":true,"status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Binding is ready"},{"derivedPublicKeyFingerprint":"SHA256:derived-public-key-fingerprint","keyExpiresAt":"2026-04-15T12:00:00Z","keyFingerprint":"SHA256:live-nebius-auth-public-key-fingerprint","keyState":"ACTIVE","ownsArtifactBucket":true,"projectID":"project-e00b497fpr00n5hg8wbh2d","publicKeyID":"publickey-e00ngem85mc6pr5v63","publicKeyIDMatches":true,"region":"eu-north1","serviceAccountID":"serviceaccount-e00vqdp9fskhmmaan8","serviceAccountKeyValidated":true,"status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Binding is ready"}],"nebiusTenantID":"tenant-e00abc123","ociBootstrapShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/oci-bootstrap.sh?account_config_id=ac-MOju2uwKM0)\"","ociDisconnectShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/oci-disconnect.sh?account_config_id=ac-MOju2uwKM0)\"","ociDomainID":"ocid1.domain.oc1..aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa","ociOffboardShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/oci-offboard.sh?account_config_id=ac-MOju2uwKM0)\"","ociTenancyID":"ocid1.tenancy.oc1..aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa","status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Account is ready"}],"ids":["ac-12345678","ac-abcdefgh","ac-1234efgh"],"nextPageToken":"next-token"}}}},"400":{"description":"bad_request: Response used on a bad request","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"auth_failure: Response used on authentication failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"forbidden: Response used on authorization failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"not_found: Response used when the requested resource is not found","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"409":{"description":"invalid_state: Response used when requested resource is in an invalid state for this operation","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"failed_request: Response used on failure to list account configs","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"api_key_header_Authorization":[]}]}},"/2022-09-01-00/accountconfig/cloudprovider/{cloudProviderName}":{"get":{"tags":["account-config-api"],"summary":"ListAccountConfig account-config-api","operationId":"account-config-api#ListAccountConfig","parameters":[{"name":"cloudProviderName","in":"path","description":"Cloud Provider name to filter on","required":true,"schema":{"type":"string","description":"Name of the Infra Provider","example":"aws|azure|gcp|nebius|oci|byoc-onprem|all"},"example":"aws"}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListAccountConfigResult"},"example":{"accountConfigs":[{"awsAccountID":"123456789012","awsBootstrapRoleARN":"arn:aws:iam::\u003cACCOUNT_ID\u003e:role/\u003cROLE_NAME\u003e","awsCloudFormationNoLBTemplateURL":"https://s3.amazonaws.com/omnistrate-cloudformation/org-EUVvex3bVm/account-config-setup-template-no-lb-policy.yaml","awsCloudFormationTemplateURL":"https://s3.amazonaws.com/omnistrate-cloudformation/org-EUVvex3bVm/account-config-setup-template.yaml","azureBootstrapShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/azure-bootstrap.sh?account_config_id=ac-MOju2uwKM0)\"","azureDisconnectShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/azure-disconnect.sh?account_config_id=ac-MOju2uwKM0)\"","azureOffboardShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/azure-offboard.sh?account_config_id=ac-MOju2uwKM0)\"","azureSubscriptionID":"12345678-1234-1234-1234-123456789012","azureTenantID":"12345678-1234-1234-1234-123456789012","byoaInstanceIDs":["instance-12345678","instance-abcdefgh"],"cloudProviderId":"Debitis vel eligendi.","customTags":[{"key":"customKey","value":"customValue"},{"key":"customKey","value":"customValue"},{"key":"customKey","value":"customValue"},{"key":"customKey","value":"customValue"}],"description":"An AWS account hosting multiple dev environments","gcpBootstrapShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/gcp-bootstrap.sh?account_config_id=ac-MOju2uwKM0)\"","gcpDisconnectShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/gcp-disconnect.sh?account_config_id=ac-MOju2uwKM0)\"","gcpOffboardShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/gcp-offboard.sh?account_config_id=ac-MOju2uwKM0)\"","gcpProjectID":"my-project","gcpProjectNumber":"123456789012","gcpServiceAccountEmail":"bootstrap@my-project.iam.gserviceaccount.com","id":"Aut consectetur nam quasi et animi et.","name":"Dev AWS account","nebiusBindings":[{"derivedPublicKeyFingerprint":"SHA256:derived-public-key-fingerprint","keyExpiresAt":"2026-04-15T12:00:00Z","keyFingerprint":"SHA256:live-nebius-auth-public-key-fingerprint","keyState":"ACTIVE","ownsArtifactBucket":true,"projectID":"project-e00b497fpr00n5hg8wbh2d","publicKeyID":"publickey-e00ngem85mc6pr5v63","publicKeyIDMatches":true,"region":"eu-north1","serviceAccountID":"serviceaccount-e00vqdp9fskhmmaan8","serviceAccountKeyValidated":true,"status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Binding is ready"},{"derivedPublicKeyFingerprint":"SHA256:derived-public-key-fingerprint","keyExpiresAt":"2026-04-15T12:00:00Z","keyFingerprint":"SHA256:live-nebius-auth-public-key-fingerprint","keyState":"ACTIVE","ownsArtifactBucket":true,"projectID":"project-e00b497fpr00n5hg8wbh2d","publicKeyID":"publickey-e00ngem85mc6pr5v63","publicKeyIDMatches":true,"region":"eu-north1","serviceAccountID":"serviceaccount-e00vqdp9fskhmmaan8","serviceAccountKeyValidated":true,"status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Binding is ready"}],"nebiusTenantID":"tenant-e00abc123","ociBootstrapShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/oci-bootstrap.sh?account_config_id=ac-MOju2uwKM0)\"","ociDisconnectShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/oci-disconnect.sh?account_config_id=ac-MOju2uwKM0)\"","ociDomainID":"ocid1.domain.oc1..aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa","ociOffboardShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/oci-offboard.sh?account_config_id=ac-MOju2uwKM0)\"","ociTenancyID":"ocid1.tenancy.oc1..aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa","status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Account is ready"},{"awsAccountID":"123456789012","awsBootstrapRoleARN":"arn:aws:iam::\u003cACCOUNT_ID\u003e:role/\u003cROLE_NAME\u003e","awsCloudFormationNoLBTemplateURL":"https://s3.amazonaws.com/omnistrate-cloudformation/org-EUVvex3bVm/account-config-setup-template-no-lb-policy.yaml","awsCloudFormationTemplateURL":"https://s3.amazonaws.com/omnistrate-cloudformation/org-EUVvex3bVm/account-config-setup-template.yaml","azureBootstrapShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/azure-bootstrap.sh?account_config_id=ac-MOju2uwKM0)\"","azureDisconnectShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/azure-disconnect.sh?account_config_id=ac-MOju2uwKM0)\"","azureOffboardShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/azure-offboard.sh?account_config_id=ac-MOju2uwKM0)\"","azureSubscriptionID":"12345678-1234-1234-1234-123456789012","azureTenantID":"12345678-1234-1234-1234-123456789012","byoaInstanceIDs":["instance-12345678","instance-abcdefgh"],"cloudProviderId":"Debitis vel eligendi.","customTags":[{"key":"customKey","value":"customValue"},{"key":"customKey","value":"customValue"},{"key":"customKey","value":"customValue"},{"key":"customKey","value":"customValue"}],"description":"An AWS account hosting multiple dev environments","gcpBootstrapShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/gcp-bootstrap.sh?account_config_id=ac-MOju2uwKM0)\"","gcpDisconnectShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/gcp-disconnect.sh?account_config_id=ac-MOju2uwKM0)\"","gcpOffboardShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/gcp-offboard.sh?account_config_id=ac-MOju2uwKM0)\"","gcpProjectID":"my-project","gcpProjectNumber":"123456789012","gcpServiceAccountEmail":"bootstrap@my-project.iam.gserviceaccount.com","id":"Aut consectetur nam quasi et animi et.","name":"Dev AWS account","nebiusBindings":[{"derivedPublicKeyFingerprint":"SHA256:derived-public-key-fingerprint","keyExpiresAt":"2026-04-15T12:00:00Z","keyFingerprint":"SHA256:live-nebius-auth-public-key-fingerprint","keyState":"ACTIVE","ownsArtifactBucket":true,"projectID":"project-e00b497fpr00n5hg8wbh2d","publicKeyID":"publickey-e00ngem85mc6pr5v63","publicKeyIDMatches":true,"region":"eu-north1","serviceAccountID":"serviceaccount-e00vqdp9fskhmmaan8","serviceAccountKeyValidated":true,"status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Binding is ready"},{"derivedPublicKeyFingerprint":"SHA256:derived-public-key-fingerprint","keyExpiresAt":"2026-04-15T12:00:00Z","keyFingerprint":"SHA256:live-nebius-auth-public-key-fingerprint","keyState":"ACTIVE","ownsArtifactBucket":true,"projectID":"project-e00b497fpr00n5hg8wbh2d","publicKeyID":"publickey-e00ngem85mc6pr5v63","publicKeyIDMatches":true,"region":"eu-north1","serviceAccountID":"serviceaccount-e00vqdp9fskhmmaan8","serviceAccountKeyValidated":true,"status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Binding is ready"}],"nebiusTenantID":"tenant-e00abc123","ociBootstrapShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/oci-bootstrap.sh?account_config_id=ac-MOju2uwKM0)\"","ociDisconnectShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/oci-disconnect.sh?account_config_id=ac-MOju2uwKM0)\"","ociDomainID":"ocid1.domain.oc1..aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa","ociOffboardShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/oci-offboard.sh?account_config_id=ac-MOju2uwKM0)\"","ociTenancyID":"ocid1.tenancy.oc1..aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa","status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Account is ready"},{"awsAccountID":"123456789012","awsBootstrapRoleARN":"arn:aws:iam::\u003cACCOUNT_ID\u003e:role/\u003cROLE_NAME\u003e","awsCloudFormationNoLBTemplateURL":"https://s3.amazonaws.com/omnistrate-cloudformation/org-EUVvex3bVm/account-config-setup-template-no-lb-policy.yaml","awsCloudFormationTemplateURL":"https://s3.amazonaws.com/omnistrate-cloudformation/org-EUVvex3bVm/account-config-setup-template.yaml","azureBootstrapShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/azure-bootstrap.sh?account_config_id=ac-MOju2uwKM0)\"","azureDisconnectShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/azure-disconnect.sh?account_config_id=ac-MOju2uwKM0)\"","azureOffboardShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/azure-offboard.sh?account_config_id=ac-MOju2uwKM0)\"","azureSubscriptionID":"12345678-1234-1234-1234-123456789012","azureTenantID":"12345678-1234-1234-1234-123456789012","byoaInstanceIDs":["instance-12345678","instance-abcdefgh"],"cloudProviderId":"Debitis vel eligendi.","customTags":[{"key":"customKey","value":"customValue"},{"key":"customKey","value":"customValue"},{"key":"customKey","value":"customValue"},{"key":"customKey","value":"customValue"}],"description":"An AWS account hosting multiple dev environments","gcpBootstrapShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/gcp-bootstrap.sh?account_config_id=ac-MOju2uwKM0)\"","gcpDisconnectShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/gcp-disconnect.sh?account_config_id=ac-MOju2uwKM0)\"","gcpOffboardShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/gcp-offboard.sh?account_config_id=ac-MOju2uwKM0)\"","gcpProjectID":"my-project","gcpProjectNumber":"123456789012","gcpServiceAccountEmail":"bootstrap@my-project.iam.gserviceaccount.com","id":"Aut consectetur nam quasi et animi et.","name":"Dev AWS account","nebiusBindings":[{"derivedPublicKeyFingerprint":"SHA256:derived-public-key-fingerprint","keyExpiresAt":"2026-04-15T12:00:00Z","keyFingerprint":"SHA256:live-nebius-auth-public-key-fingerprint","keyState":"ACTIVE","ownsArtifactBucket":true,"projectID":"project-e00b497fpr00n5hg8wbh2d","publicKeyID":"publickey-e00ngem85mc6pr5v63","publicKeyIDMatches":true,"region":"eu-north1","serviceAccountID":"serviceaccount-e00vqdp9fskhmmaan8","serviceAccountKeyValidated":true,"status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Binding is ready"},{"derivedPublicKeyFingerprint":"SHA256:derived-public-key-fingerprint","keyExpiresAt":"2026-04-15T12:00:00Z","keyFingerprint":"SHA256:live-nebius-auth-public-key-fingerprint","keyState":"ACTIVE","ownsArtifactBucket":true,"projectID":"project-e00b497fpr00n5hg8wbh2d","publicKeyID":"publickey-e00ngem85mc6pr5v63","publicKeyIDMatches":true,"region":"eu-north1","serviceAccountID":"serviceaccount-e00vqdp9fskhmmaan8","serviceAccountKeyValidated":true,"status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Binding is ready"}],"nebiusTenantID":"tenant-e00abc123","ociBootstrapShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/oci-bootstrap.sh?account_config_id=ac-MOju2uwKM0)\"","ociDisconnectShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/oci-disconnect.sh?account_config_id=ac-MOju2uwKM0)\"","ociDomainID":"ocid1.domain.oc1..aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa","ociOffboardShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/oci-offboard.sh?account_config_id=ac-MOju2uwKM0)\"","ociTenancyID":"ocid1.tenancy.oc1..aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa","status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Account is ready"},{"awsAccountID":"123456789012","awsBootstrapRoleARN":"arn:aws:iam::\u003cACCOUNT_ID\u003e:role/\u003cROLE_NAME\u003e","awsCloudFormationNoLBTemplateURL":"https://s3.amazonaws.com/omnistrate-cloudformation/org-EUVvex3bVm/account-config-setup-template-no-lb-policy.yaml","awsCloudFormationTemplateURL":"https://s3.amazonaws.com/omnistrate-cloudformation/org-EUVvex3bVm/account-config-setup-template.yaml","azureBootstrapShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/azure-bootstrap.sh?account_config_id=ac-MOju2uwKM0)\"","azureDisconnectShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/azure-disconnect.sh?account_config_id=ac-MOju2uwKM0)\"","azureOffboardShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/azure-offboard.sh?account_config_id=ac-MOju2uwKM0)\"","azureSubscriptionID":"12345678-1234-1234-1234-123456789012","azureTenantID":"12345678-1234-1234-1234-123456789012","byoaInstanceIDs":["instance-12345678","instance-abcdefgh"],"cloudProviderId":"Debitis vel eligendi.","customTags":[{"key":"customKey","value":"customValue"},{"key":"customKey","value":"customValue"},{"key":"customKey","value":"customValue"},{"key":"customKey","value":"customValue"}],"description":"An AWS account hosting multiple dev environments","gcpBootstrapShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/gcp-bootstrap.sh?account_config_id=ac-MOju2uwKM0)\"","gcpDisconnectShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/gcp-disconnect.sh?account_config_id=ac-MOju2uwKM0)\"","gcpOffboardShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/gcp-offboard.sh?account_config_id=ac-MOju2uwKM0)\"","gcpProjectID":"my-project","gcpProjectNumber":"123456789012","gcpServiceAccountEmail":"bootstrap@my-project.iam.gserviceaccount.com","id":"Aut consectetur nam quasi et animi et.","name":"Dev AWS account","nebiusBindings":[{"derivedPublicKeyFingerprint":"SHA256:derived-public-key-fingerprint","keyExpiresAt":"2026-04-15T12:00:00Z","keyFingerprint":"SHA256:live-nebius-auth-public-key-fingerprint","keyState":"ACTIVE","ownsArtifactBucket":true,"projectID":"project-e00b497fpr00n5hg8wbh2d","publicKeyID":"publickey-e00ngem85mc6pr5v63","publicKeyIDMatches":true,"region":"eu-north1","serviceAccountID":"serviceaccount-e00vqdp9fskhmmaan8","serviceAccountKeyValidated":true,"status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Binding is ready"},{"derivedPublicKeyFingerprint":"SHA256:derived-public-key-fingerprint","keyExpiresAt":"2026-04-15T12:00:00Z","keyFingerprint":"SHA256:live-nebius-auth-public-key-fingerprint","keyState":"ACTIVE","ownsArtifactBucket":true,"projectID":"project-e00b497fpr00n5hg8wbh2d","publicKeyID":"publickey-e00ngem85mc6pr5v63","publicKeyIDMatches":true,"region":"eu-north1","serviceAccountID":"serviceaccount-e00vqdp9fskhmmaan8","serviceAccountKeyValidated":true,"status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Binding is ready"}],"nebiusTenantID":"tenant-e00abc123","ociBootstrapShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/oci-bootstrap.sh?account_config_id=ac-MOju2uwKM0)\"","ociDisconnectShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/oci-disconnect.sh?account_config_id=ac-MOju2uwKM0)\"","ociDomainID":"ocid1.domain.oc1..aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa","ociOffboardShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/oci-offboard.sh?account_config_id=ac-MOju2uwKM0)\"","ociTenancyID":"ocid1.tenancy.oc1..aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa","status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Account is ready"}],"ids":["ac-12345678","ac-abcdefgh","ac-1234efgh"],"nextPageToken":"next-token"}}}},"400":{"description":"bad_request: Response used on a bad request","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"auth_failure: Response used on authentication failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"forbidden: Response used on authorization failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"not_found: Response used when the requested resource is not found","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"409":{"description":"invalid_state: Response used when requested resource is in an invalid state for this operation","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"failed_request: Response used on failure to list account configs","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"api_key_header_Authorization":[]}]}},"/2022-09-01-00/accountconfig/gcp/{gcpProjectID}":{"get":{"tags":["account-config-api"],"summary":"DescribeAccountConfigByGCPProjectID account-config-api","operationId":"account-config-api#DescribeAccountConfigByGCPProjectID","parameters":[{"name":"gcpProjectID","in":"path","description":"The GCP project ID","required":true,"schema":{"type":"string","description":"The GCP project ID","example":"my-project"},"example":"my-project"}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DescribeAccountConfigByGCPProjectIDResult"},"example":{"byoaInstanceIDs":["instance-12345678","instance-abcdefgh"],"cloudProviderId":"Qui quas saepe.","description":"An AWS account hosting multiple dev environments","gcpProjectID":"my-project","gcpProjectNumber":"123456789012","gcpServiceAccountEmail":"bootstrap@my-project.iam.gserviceaccount.com","id":"Eveniet officiis et tenetur adipisci.","name":"Dev AWS account","status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Account is ready"}}}},"400":{"description":"bad_request: Response used on a bad request","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"auth_failure: Response used on authentication failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"forbidden: Response used on authorization failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"not_found: Response used when the requested resource is not found","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"409":{"description":"invalid_state: Response used when requested resource is in an invalid state for this operation","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"failed_request: Response used on failure to describe an account config","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"api_key_header_Authorization":[]}]}},"/2022-09-01-00/accountconfig/identityid":{"get":{"tags":["account-config-api"],"summary":"AccountConfigIdentityID account-config-api","description":"Returns the identity id of the account config to be used in the trust policy of the account","operationId":"account-config-api#AccountConfigIdentityID","responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountConfigIdentityIDResult"},"example":{"id":"Atque fugit doloribus omnis qui."}}}},"400":{"description":"bad_request: Response used on a bad request","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"failed_request: Response used on failure to get an account config identity id","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"api_key_header_Authorization":[]}]}},"/2022-09-01-00/accountconfig/nebius/tenant/{nebiusTenantID}":{"get":{"tags":["account-config-api"],"summary":"DescribeAccountConfigByNebiusTenantID account-config-api","operationId":"account-config-api#DescribeAccountConfigByNebiusTenantID","parameters":[{"name":"nebiusTenantID","in":"path","description":"The Nebius tenant ID","required":true,"schema":{"type":"string","description":"The Nebius tenant ID","example":"tenant-id"},"example":"tenant-id"}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DescribeAccountConfigByNebiusTenantIDResult"},"example":{"byoaInstanceIDs":["instance-12345678","instance-abcdefgh"],"cloudProviderId":"Aut similique earum odit non laborum.","description":"A Nebius tenant account hosting multiple regional project bindings","id":"Harum id animi minima quisquam ut architecto.","name":"Prod Nebius tenant account","nebiusBindings":[{"derivedPublicKeyFingerprint":"SHA256:derived-public-key-fingerprint","keyExpiresAt":"2026-04-15T12:00:00Z","keyFingerprint":"SHA256:live-nebius-auth-public-key-fingerprint","keyState":"ACTIVE","ownsArtifactBucket":true,"projectID":"project-e00b497fpr00n5hg8wbh2d","publicKeyID":"publickey-e00ngem85mc6pr5v63","publicKeyIDMatches":true,"region":"eu-north1","serviceAccountID":"serviceaccount-e00vqdp9fskhmmaan8","serviceAccountKeyValidated":true,"status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Binding is ready"},{"derivedPublicKeyFingerprint":"SHA256:derived-public-key-fingerprint","keyExpiresAt":"2026-04-15T12:00:00Z","keyFingerprint":"SHA256:live-nebius-auth-public-key-fingerprint","keyState":"ACTIVE","ownsArtifactBucket":true,"projectID":"project-e00b497fpr00n5hg8wbh2d","publicKeyID":"publickey-e00ngem85mc6pr5v63","publicKeyIDMatches":true,"region":"eu-north1","serviceAccountID":"serviceaccount-e00vqdp9fskhmmaan8","serviceAccountKeyValidated":true,"status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Binding is ready"}],"nebiusTenantID":"tenant-e00abc123","status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Account is ready"}}}},"400":{"description":"bad_request: Response used on a bad request","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"auth_failure: Response used on authentication failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"forbidden: Response used on authorization failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"not_found: Response used when the requested resource is not found","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"409":{"description":"invalid_state: Response used when requested resource is in an invalid state for this operation","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"failed_request: Response used on failure to describe an account config","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"api_key_header_Authorization":[]}]}},"/2022-09-01-00/accountconfig/oci/{ociTenancyID}":{"get":{"tags":["account-config-api"],"summary":"DescribeAccountConfigByOCITenancyID account-config-api","operationId":"account-config-api#DescribeAccountConfigByOCITenancyID","parameters":[{"name":"ociTenancyID","in":"path","description":"The Tenancy OCID for Oracle Cloud Infrastructure","required":true,"schema":{"type":"string","description":"The Tenancy OCID for Oracle Cloud Infrastructure","example":"ocid1.tenancy.oc1..aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"},"example":"ocid1.tenancy.oc1..aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DescribeAccountConfigByOCITenancyIDResult"},"example":{"byoaInstanceIDs":["instance-12345678","instance-abcdefgh"],"cloudProviderId":"Labore corrupti dolor ad iste omnis voluptatibus.","description":"An OCI account hosting multiple dev environments","id":"Incidunt molestias quisquam occaecati illo.","name":"Dev OCI account","ociDomainID":"ocid1.domain.oc1..aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa","ociTenancyID":"ocid1.tenancy.oc1..aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa","status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Account is ready"}}}},"400":{"description":"bad_request: Response used on a bad request","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"auth_failure: Response used on authentication failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"forbidden: Response used on authorization failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"not_found: Response used when the requested resource is not found","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"409":{"description":"invalid_state: Response used when requested resource is in an invalid state for this operation","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"failed_request: Response used on failure to describe an account config","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"api_key_header_Authorization":[]}]}},"/2022-09-01-00/accountconfig/verify/{id}":{"post":{"tags":["account-config-api"],"summary":"VerifyAccountConfig account-config-api","operationId":"account-config-api#VerifyAccountConfig","parameters":[{"name":"id","in":"path","description":"Account Config ID to operate on","required":true,"schema":{"type":"string","description":"ID of an Account Config","example":"Quam laudantium culpa."},"example":"ac-12345678"}],"responses":{"202":{"description":"Accepted response."},"400":{"description":"bad_request: Response used on a bad request","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"auth_failure: Response used on authentication failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"forbidden: Response used on authorization failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"not_found: Response used when the requested resource is not found","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"failed_request: Response used on failure to list account configs","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"api_key_header_Authorization":[]}]}},"/2022-09-01-00/accountconfig/{id}":{"delete":{"tags":["account-config-api"],"summary":"DeleteAccountConfig account-config-api","operationId":"account-config-api#DeleteAccountConfig","parameters":[{"name":"id","in":"path","description":"Account Config ID to operate on","required":true,"schema":{"type":"string","description":"ID of an Account Config","example":"Nisi nam voluptatem quia cum iusto."},"example":"ac-12345678"}],"responses":{"202":{"description":"Accepted response."},"400":{"description":"bad_request: Response used on a bad request","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"not_found: Response used when the requested resource is not found","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"409":{"description":"invalid_state: Response used when requested resource is in an invalid state for this operation","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"failed_request: Response used on failure to delete an account config","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"api_key_header_Authorization":[]}]},"get":{"tags":["account-config-api"],"summary":"DescribeAccountConfig account-config-api","operationId":"account-config-api#DescribeAccountConfig","parameters":[{"name":"id","in":"path","description":"Account Config ID to operate on","required":true,"schema":{"type":"string","description":"ID of an Account Config","example":"Neque illo voluptatem qui qui similique."},"example":"ac-12345678"}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DescribeAccountConfigResult"},"example":{"awsAccountID":"123456789012","awsBootstrapRoleARN":"arn:aws:iam::\u003cACCOUNT_ID\u003e:role/\u003cROLE_NAME\u003e","awsCloudFormationNoLBTemplateURL":"https://s3.amazonaws.com/omnistrate-cloudformation/org-EUVvex3bVm/account-config-setup-template-no-lb-policy.yaml","awsCloudFormationTemplateURL":"https://s3.amazonaws.com/omnistrate-cloudformation/org-EUVvex3bVm/account-config-setup-template.yaml","azureBootstrapShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/azure-bootstrap.sh?account_config_id=ac-MOju2uwKM0)\"","azureDisconnectShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/azure-disconnect.sh?account_config_id=ac-MOju2uwKM0)\"","azureOffboardShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/azure-offboard.sh?account_config_id=ac-MOju2uwKM0)\"","azureSubscriptionID":"12345678-1234-1234-1234-123456789012","azureTenantID":"12345678-1234-1234-1234-123456789012","byoaInstanceIDs":["instance-12345678","instance-abcdefgh"],"cloudProviderId":"Nesciunt et illo perferendis sit explicabo.","customTags":[{"key":"customKey","value":"customValue"},{"key":"customKey","value":"customValue"}],"description":"An AWS account hosting multiple dev environments","gcpBootstrapShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/gcp-bootstrap.sh?account_config_id=ac-MOju2uwKM0)\"","gcpDisconnectShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/gcp-disconnect.sh?account_config_id=ac-MOju2uwKM0)\"","gcpOffboardShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/gcp-offboard.sh?account_config_id=ac-MOju2uwKM0)\"","gcpProjectID":"my-project","gcpProjectNumber":"123456789012","gcpServiceAccountEmail":"bootstrap@my-project.iam.gserviceaccount.com","id":"Eveniet possimus harum molestiae.","name":"Dev AWS account","nebiusBindings":[{"derivedPublicKeyFingerprint":"SHA256:derived-public-key-fingerprint","keyExpiresAt":"2026-04-15T12:00:00Z","keyFingerprint":"SHA256:live-nebius-auth-public-key-fingerprint","keyState":"ACTIVE","ownsArtifactBucket":true,"projectID":"project-e00b497fpr00n5hg8wbh2d","publicKeyID":"publickey-e00ngem85mc6pr5v63","publicKeyIDMatches":true,"region":"eu-north1","serviceAccountID":"serviceaccount-e00vqdp9fskhmmaan8","serviceAccountKeyValidated":true,"status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Binding is ready"},{"derivedPublicKeyFingerprint":"SHA256:derived-public-key-fingerprint","keyExpiresAt":"2026-04-15T12:00:00Z","keyFingerprint":"SHA256:live-nebius-auth-public-key-fingerprint","keyState":"ACTIVE","ownsArtifactBucket":true,"projectID":"project-e00b497fpr00n5hg8wbh2d","publicKeyID":"publickey-e00ngem85mc6pr5v63","publicKeyIDMatches":true,"region":"eu-north1","serviceAccountID":"serviceaccount-e00vqdp9fskhmmaan8","serviceAccountKeyValidated":true,"status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Binding is ready"},{"derivedPublicKeyFingerprint":"SHA256:derived-public-key-fingerprint","keyExpiresAt":"2026-04-15T12:00:00Z","keyFingerprint":"SHA256:live-nebius-auth-public-key-fingerprint","keyState":"ACTIVE","ownsArtifactBucket":true,"projectID":"project-e00b497fpr00n5hg8wbh2d","publicKeyID":"publickey-e00ngem85mc6pr5v63","publicKeyIDMatches":true,"region":"eu-north1","serviceAccountID":"serviceaccount-e00vqdp9fskhmmaan8","serviceAccountKeyValidated":true,"status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Binding is ready"}],"nebiusTenantID":"tenant-e00abc123","ociBootstrapShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/oci-bootstrap.sh?account_config_id=ac-MOju2uwKM0)\"","ociDisconnectShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/oci-disconnect.sh?account_config_id=ac-MOju2uwKM0)\"","ociDomainID":"ocid1.domain.oc1..aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa","ociOffboardShellCommand":"bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/oci-offboard.sh?account_config_id=ac-MOju2uwKM0)\"","ociTenancyID":"ocid1.tenancy.oc1..aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa","status":"PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD","statusMessage":"Account is ready"}}}},"400":{"description":"bad_request: Response used on a bad request","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"auth_failure: Response used on authentication failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"forbidden: Response used on authorization failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"not_found: Response used when the requested resource is not found","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"409":{"description":"invalid_state: Response used when requested resource is in an invalid state for this operation","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"failed_request: Response used on failure to describe an account config","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"api_key_header_Authorization":[]}]},"put":{"tags":["account-config-api"],"summary":"UpdateAccountConfig account-config-api","operationId":"account-config-api#UpdateAccountConfig","parameters":[{"name":"id","in":"path","description":"Account Config ID to operate on","required":true,"schema":{"type":"string","description":"ID of an Account Config","example":"Vel excepturi commodi autem nihil quo eveniet."},"example":"ac-12345678"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAccountConfigRequest2"},"example":{"customTags":[{"key":"customKey","value":"customValue"},{"key":"customKey","value":"customValue"}],"description":"Nebius account for eu-north1 and eu-west1 projects","name":"Updated Nebius account","nebiusBindings":[{"ownsArtifactBucket":true,"privateKeyPEM":"Modi ex hic.","projectID":"project-e00b497fpr00n5hg8wbh2d","publicKeyID":"publickey-e00ngem85mc6pr5v63","serviceAccountID":"serviceaccount-e00vqdp9fskhmmaan8"},{"ownsArtifactBucket":true,"privateKeyPEM":"Modi ex hic.","projectID":"project-e00b497fpr00n5hg8wbh2d","publicKeyID":"publickey-e00ngem85mc6pr5v63","serviceAccountID":"serviceaccount-e00vqdp9fskhmmaan8"},{"ownsArtifactBucket":true,"privateKeyPEM":"Modi ex hic.","projectID":"project-e00b497fpr00n5hg8wbh2d","publicKeyID":"publickey-e00ngem85mc6pr5v63","serviceAccountID":"serviceaccount-e00vqdp9fskhmmaan8"}]}}}},"responses":{"202":{"description":"Accepted response.","content":{"application/json":{"schema":{"type":"string","description":"The ID of the updated account config","example":"Quos voluptatem eligendi fugiat."},"example":"Aperiam ut officia corrupti libero."}}},"400":{"description":"bad_request: Response used on a bad request","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"auth_failure: Response used on authentication failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"forbidden: Response used on authorization failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"not_found: Response used when the requested resource is not found","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"409":{"description":"invalid_state: Response used when requested resource is in an invalid state for this operation","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"failed_request: Response used on failure to update an account config","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"api_key_header_Authorization":[]}]}},"/2022-09-01-00/accountconfig/{id}/cloud-native-networks":{"get":{"tags":["account-config-api"],"summary":"ListAccountConfigCloudNativeNetworks account-config-api","description":"List all registered CloudNativeNetworks for an account configuration","operationId":"account-config-api#ListAccountConfigCloudNativeNetworks","parameters":[{"name":"id","in":"path","description":"Account Config ID to operate on","required":true,"schema":{"type":"string","description":"ID of an Account Config","example":"Ut amet architecto labore animi illum."},"example":"ac-12345678"}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListAccountConfigCloudNativeNetworksResult"},"example":{"cloudNativeNetworks":[{"accountConfigId":"Itaque ut eum occaecati quis.","cidr":"10.0.0.0/16","cloudNativeNetworkId":"/subscriptions/12345678-1234-1234-1234-123456789abc/resourceGroups/customer-rg/providers/Microsoft.Network/virtualNetworks/customer-vnet","createdAt":"2026-04-14T10:00:00Z","hostClusters":[{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"},{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"}],"id":"acvpc-12345678","imported":true,"inUse":false,"name":"production-vpc","privateSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"publicSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"region":"us-east-1","status":"PENDING|VERIFYING|READY|FAILED","statusMessage":"Cloud native network validated successfully","supportsPrivateDeployment":true,"supportsPublicDeployment":true,"updatedAt":"2026-04-14T10:05:00Z"},{"accountConfigId":"Itaque ut eum occaecati quis.","cidr":"10.0.0.0/16","cloudNativeNetworkId":"/subscriptions/12345678-1234-1234-1234-123456789abc/resourceGroups/customer-rg/providers/Microsoft.Network/virtualNetworks/customer-vnet","createdAt":"2026-04-14T10:00:00Z","hostClusters":[{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"},{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"}],"id":"acvpc-12345678","imported":true,"inUse":false,"name":"production-vpc","privateSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"publicSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"region":"us-east-1","status":"PENDING|VERIFYING|READY|FAILED","statusMessage":"Cloud native network validated successfully","supportsPrivateDeployment":true,"supportsPublicDeployment":true,"updatedAt":"2026-04-14T10:05:00Z"},{"accountConfigId":"Itaque ut eum occaecati quis.","cidr":"10.0.0.0/16","cloudNativeNetworkId":"/subscriptions/12345678-1234-1234-1234-123456789abc/resourceGroups/customer-rg/providers/Microsoft.Network/virtualNetworks/customer-vnet","createdAt":"2026-04-14T10:00:00Z","hostClusters":[{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"},{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"}],"id":"acvpc-12345678","imported":true,"inUse":false,"name":"production-vpc","privateSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"publicSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"region":"us-east-1","status":"PENDING|VERIFYING|READY|FAILED","statusMessage":"Cloud native network validated successfully","supportsPrivateDeployment":true,"supportsPublicDeployment":true,"updatedAt":"2026-04-14T10:05:00Z"},{"accountConfigId":"Itaque ut eum occaecati quis.","cidr":"10.0.0.0/16","cloudNativeNetworkId":"/subscriptions/12345678-1234-1234-1234-123456789abc/resourceGroups/customer-rg/providers/Microsoft.Network/virtualNetworks/customer-vnet","createdAt":"2026-04-14T10:00:00Z","hostClusters":[{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"},{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"}],"id":"acvpc-12345678","imported":true,"inUse":false,"name":"production-vpc","privateSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"publicSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"region":"us-east-1","status":"PENDING|VERIFYING|READY|FAILED","statusMessage":"Cloud native network validated successfully","supportsPrivateDeployment":true,"supportsPublicDeployment":true,"updatedAt":"2026-04-14T10:05:00Z"}]}}}},"401":{"description":"auth_failure: Response used on authentication failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"forbidden: Response used on authorization failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"not_found: Response used when the requested resource is not found","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"failed_request: Response used on failure to list cloud native networks","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"api_key_header_Authorization":[]}]}},"/2022-09-01-00/accountconfig/{id}/cloud-native-networks/import":{"post":{"tags":["account-config-api"],"summary":"BulkImportAccountConfigCloudNativeNetworks account-config-api","description":"Bulk import or unimport CloudNativeNetworks for deployments","operationId":"account-config-api#BulkImportAccountConfigCloudNativeNetworks","parameters":[{"name":"id","in":"path","description":"Account Config ID to operate on","required":true,"schema":{"type":"string","description":"ID of an Account Config","example":"Eum fugiat assumenda deleniti eum doloribus."},"example":"ac-12345678"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkImportAccountConfigCloudNativeNetworksRequest2"},"example":{"cloudNativeNetworks":[{"cloudNativeNetworkId":"/subscriptions/12345678-1234-1234-1234-123456789abc/resourceGroups/customer-rg/providers/Microsoft.Network/virtualNetworks/customer-vnet","import":true,"region":"us-east-1"},{"cloudNativeNetworkId":"/subscriptions/12345678-1234-1234-1234-123456789abc/resourceGroups/customer-rg/providers/Microsoft.Network/virtualNetworks/customer-vnet","import":true,"region":"us-east-1"},{"cloudNativeNetworkId":"/subscriptions/12345678-1234-1234-1234-123456789abc/resourceGroups/customer-rg/providers/Microsoft.Network/virtualNetworks/customer-vnet","import":true,"region":"us-east-1"},{"cloudNativeNetworkId":"/subscriptions/12345678-1234-1234-1234-123456789abc/resourceGroups/customer-rg/providers/Microsoft.Network/virtualNetworks/customer-vnet","import":true,"region":"us-east-1"}]}}}},"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListAccountConfigCloudNativeNetworksResult"},"example":{"cloudNativeNetworks":[{"accountConfigId":"Itaque ut eum occaecati quis.","cidr":"10.0.0.0/16","cloudNativeNetworkId":"/subscriptions/12345678-1234-1234-1234-123456789abc/resourceGroups/customer-rg/providers/Microsoft.Network/virtualNetworks/customer-vnet","createdAt":"2026-04-14T10:00:00Z","hostClusters":[{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"},{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"}],"id":"acvpc-12345678","imported":true,"inUse":false,"name":"production-vpc","privateSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"publicSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"region":"us-east-1","status":"PENDING|VERIFYING|READY|FAILED","statusMessage":"Cloud native network validated successfully","supportsPrivateDeployment":true,"supportsPublicDeployment":true,"updatedAt":"2026-04-14T10:05:00Z"},{"accountConfigId":"Itaque ut eum occaecati quis.","cidr":"10.0.0.0/16","cloudNativeNetworkId":"/subscriptions/12345678-1234-1234-1234-123456789abc/resourceGroups/customer-rg/providers/Microsoft.Network/virtualNetworks/customer-vnet","createdAt":"2026-04-14T10:00:00Z","hostClusters":[{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"},{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"}],"id":"acvpc-12345678","imported":true,"inUse":false,"name":"production-vpc","privateSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"publicSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"region":"us-east-1","status":"PENDING|VERIFYING|READY|FAILED","statusMessage":"Cloud native network validated successfully","supportsPrivateDeployment":true,"supportsPublicDeployment":true,"updatedAt":"2026-04-14T10:05:00Z"},{"accountConfigId":"Itaque ut eum occaecati quis.","cidr":"10.0.0.0/16","cloudNativeNetworkId":"/subscriptions/12345678-1234-1234-1234-123456789abc/resourceGroups/customer-rg/providers/Microsoft.Network/virtualNetworks/customer-vnet","createdAt":"2026-04-14T10:00:00Z","hostClusters":[{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"},{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"}],"id":"acvpc-12345678","imported":true,"inUse":false,"name":"production-vpc","privateSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"publicSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"region":"us-east-1","status":"PENDING|VERIFYING|READY|FAILED","statusMessage":"Cloud native network validated successfully","supportsPrivateDeployment":true,"supportsPublicDeployment":true,"updatedAt":"2026-04-14T10:05:00Z"}]}}}},"400":{"description":"bad_request: Response used on a bad request","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"auth_failure: Response used on authentication failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"forbidden: Response used on authorization failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"not_found: Response used when the requested resource is not found","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"failed_request: Response used on failure to bulk import cloud native networks","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"api_key_header_Authorization":[]}]}},"/2022-09-01-00/accountconfig/{id}/cloud-native-networks/sync":{"post":{"tags":["account-config-api"],"summary":"SyncAccountConfigCloudNativeNetworks account-config-api","description":"Sync CloudNativeNetworks from the provider's cloud account: discovers CloudNativeNetworks and upserts them into the database","operationId":"account-config-api#SyncAccountConfigCloudNativeNetworks","parameters":[{"name":"id","in":"path","description":"Account Config ID to operate on","required":true,"schema":{"type":"string","description":"ID of an Account Config","example":"Quidem alias suscipit repellendus dolorem repellat omnis."},"example":"ac-12345678"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SyncAccountConfigCloudNativeNetworksRequest2"},"example":{"cloudNativeNetworks":[{"cloudNativeNetworkId":"/subscriptions/12345678-1234-1234-1234-123456789abc/resourceGroups/customer-rg/providers/Microsoft.Network/virtualNetworks/customer-vnet","includeHostClusters":false,"region":"us-east-1"},{"cloudNativeNetworkId":"/subscriptions/12345678-1234-1234-1234-123456789abc/resourceGroups/customer-rg/providers/Microsoft.Network/virtualNetworks/customer-vnet","includeHostClusters":false,"region":"us-east-1"},{"cloudNativeNetworkId":"/subscriptions/12345678-1234-1234-1234-123456789abc/resourceGroups/customer-rg/providers/Microsoft.Network/virtualNetworks/customer-vnet","includeHostClusters":false,"region":"us-east-1"}]}}}},"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListAccountConfigCloudNativeNetworksResult"},"example":{"cloudNativeNetworks":[{"accountConfigId":"Itaque ut eum occaecati quis.","cidr":"10.0.0.0/16","cloudNativeNetworkId":"/subscriptions/12345678-1234-1234-1234-123456789abc/resourceGroups/customer-rg/providers/Microsoft.Network/virtualNetworks/customer-vnet","createdAt":"2026-04-14T10:00:00Z","hostClusters":[{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"},{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"}],"id":"acvpc-12345678","imported":true,"inUse":false,"name":"production-vpc","privateSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"publicSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"region":"us-east-1","status":"PENDING|VERIFYING|READY|FAILED","statusMessage":"Cloud native network validated successfully","supportsPrivateDeployment":true,"supportsPublicDeployment":true,"updatedAt":"2026-04-14T10:05:00Z"},{"accountConfigId":"Itaque ut eum occaecati quis.","cidr":"10.0.0.0/16","cloudNativeNetworkId":"/subscriptions/12345678-1234-1234-1234-123456789abc/resourceGroups/customer-rg/providers/Microsoft.Network/virtualNetworks/customer-vnet","createdAt":"2026-04-14T10:00:00Z","hostClusters":[{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"},{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"}],"id":"acvpc-12345678","imported":true,"inUse":false,"name":"production-vpc","privateSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"publicSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"region":"us-east-1","status":"PENDING|VERIFYING|READY|FAILED","statusMessage":"Cloud native network validated successfully","supportsPrivateDeployment":true,"supportsPublicDeployment":true,"updatedAt":"2026-04-14T10:05:00Z"},{"accountConfigId":"Itaque ut eum occaecati quis.","cidr":"10.0.0.0/16","cloudNativeNetworkId":"/subscriptions/12345678-1234-1234-1234-123456789abc/resourceGroups/customer-rg/providers/Microsoft.Network/virtualNetworks/customer-vnet","createdAt":"2026-04-14T10:00:00Z","hostClusters":[{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"},{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"}],"id":"acvpc-12345678","imported":true,"inUse":false,"name":"production-vpc","privateSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"publicSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"region":"us-east-1","status":"PENDING|VERIFYING|READY|FAILED","statusMessage":"Cloud native network validated successfully","supportsPrivateDeployment":true,"supportsPublicDeployment":true,"updatedAt":"2026-04-14T10:05:00Z"}]}}}},"401":{"description":"auth_failure: Response used on authentication failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"forbidden: Response used on authorization failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"not_found: Response used when the requested resource is not found","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"failed_request: Response used on failure to sync cloud native networks","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"api_key_header_Authorization":[]}]}},"/2022-09-01-00/accountconfig/{id}/cloud-native-networks/{region}/{cloudNativeNetworkId}/host-clusters/{hostClusterName}/import":{"post":{"tags":["account-config-api"],"summary":"ImportAccountConfigCloudNativeNetworkHostCluster account-config-api","description":"Import a discovered host cluster from an imported cloud native network","operationId":"account-config-api#ImportAccountConfigCloudNativeNetworkHostCluster","parameters":[{"name":"id","in":"path","description":"Account Config ID to operate on","required":true,"schema":{"type":"string","description":"ID of an Account Config","example":"Unde omnis."},"example":"ac-12345678"},{"name":"region","in":"path","description":"The deployment region where the host cluster resides","required":true,"schema":{"type":"string","description":"The deployment region where the host cluster resides","example":"us-east-1"},"example":"us-east-1"},{"name":"cloudNativeNetworkId","in":"path","description":"The cloud provider network ID (e.g. AWS VPC ID) that contains the host cluster to import","required":true,"schema":{"type":"string","description":"The cloud provider network ID (e.g. AWS VPC ID) that contains the host cluster to import","example":"vpc-0abc123def456"},"example":"vpc-0abc123def456"},{"name":"hostClusterName","in":"path","description":"The cloud provider host cluster name to import from this cloud native network","required":true,"schema":{"type":"string","description":"The cloud provider host cluster name to import from this cloud native network","example":"existing-eks-cluster"},"example":"existing-eks-cluster"}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportAccountConfigCloudNativeNetworkHostClusterResult"},"example":{"created":true,"hostClusterId":"Qui facilis vel et."}}}},"400":{"description":"bad_request: Response used on a bad request","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"auth_failure: Response used on authentication failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"forbidden: Response used on authorization failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"not_found: Response used when the requested resource is not found","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"failed_request: Response used on failure to import cloud native network host cluster","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"api_key_header_Authorization":[]}]}},"/2022-09-01-00/accountconfig/{id}/cloud-native-networks/{region}/{cloudNativeNetworkId}/import":{"post":{"tags":["account-config-api"],"summary":"ImportAccountConfigCloudNativeNetwork account-config-api","description":"Import an available cloud native network for deployments (sets status to READY)","operationId":"account-config-api#ImportAccountConfigCloudNativeNetwork","parameters":[{"name":"id","in":"path","description":"Account Config ID to operate on","required":true,"schema":{"type":"string","description":"ID of an Account Config","example":"Et consequatur laborum vel recusandae eligendi autem."},"example":"ac-12345678"},{"name":"region","in":"path","description":"The deployment region whose validated subnetworks should be imported","required":true,"schema":{"type":"string","description":"The deployment region whose validated subnetworks should be imported","example":"us-east-1"},"example":"us-east-1"},{"name":"cloudNativeNetworkId","in":"path","description":"The provider-native network ID to import for deployments","required":true,"schema":{"type":"string","description":"The provider-native network ID to import for deployments","example":"/subscriptions/12345678-1234-1234-1234-123456789abc/resourceGroups/customer-rg/providers/Microsoft.Network/virtualNetworks/customer-vnet"},"example":"/subscriptions/12345678-1234-1234-1234-123456789abc/resourceGroups/customer-rg/providers/Microsoft.Network/virtualNetworks/customer-vnet"}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListAccountConfigCloudNativeNetworksResult"},"example":{"cloudNativeNetworks":[{"accountConfigId":"Itaque ut eum occaecati quis.","cidr":"10.0.0.0/16","cloudNativeNetworkId":"/subscriptions/12345678-1234-1234-1234-123456789abc/resourceGroups/customer-rg/providers/Microsoft.Network/virtualNetworks/customer-vnet","createdAt":"2026-04-14T10:00:00Z","hostClusters":[{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"},{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"}],"id":"acvpc-12345678","imported":true,"inUse":false,"name":"production-vpc","privateSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"publicSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"region":"us-east-1","status":"PENDING|VERIFYING|READY|FAILED","statusMessage":"Cloud native network validated successfully","supportsPrivateDeployment":true,"supportsPublicDeployment":true,"updatedAt":"2026-04-14T10:05:00Z"},{"accountConfigId":"Itaque ut eum occaecati quis.","cidr":"10.0.0.0/16","cloudNativeNetworkId":"/subscriptions/12345678-1234-1234-1234-123456789abc/resourceGroups/customer-rg/providers/Microsoft.Network/virtualNetworks/customer-vnet","createdAt":"2026-04-14T10:00:00Z","hostClusters":[{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"},{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"}],"id":"acvpc-12345678","imported":true,"inUse":false,"name":"production-vpc","privateSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"publicSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"region":"us-east-1","status":"PENDING|VERIFYING|READY|FAILED","statusMessage":"Cloud native network validated successfully","supportsPrivateDeployment":true,"supportsPublicDeployment":true,"updatedAt":"2026-04-14T10:05:00Z"},{"accountConfigId":"Itaque ut eum occaecati quis.","cidr":"10.0.0.0/16","cloudNativeNetworkId":"/subscriptions/12345678-1234-1234-1234-123456789abc/resourceGroups/customer-rg/providers/Microsoft.Network/virtualNetworks/customer-vnet","createdAt":"2026-04-14T10:00:00Z","hostClusters":[{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"},{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"}],"id":"acvpc-12345678","imported":true,"inUse":false,"name":"production-vpc","privateSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"publicSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"region":"us-east-1","status":"PENDING|VERIFYING|READY|FAILED","statusMessage":"Cloud native network validated successfully","supportsPrivateDeployment":true,"supportsPublicDeployment":true,"updatedAt":"2026-04-14T10:05:00Z"},{"accountConfigId":"Itaque ut eum occaecati quis.","cidr":"10.0.0.0/16","cloudNativeNetworkId":"/subscriptions/12345678-1234-1234-1234-123456789abc/resourceGroups/customer-rg/providers/Microsoft.Network/virtualNetworks/customer-vnet","createdAt":"2026-04-14T10:00:00Z","hostClusters":[{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"},{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"}],"id":"acvpc-12345678","imported":true,"inUse":false,"name":"production-vpc","privateSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"publicSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"region":"us-east-1","status":"PENDING|VERIFYING|READY|FAILED","statusMessage":"Cloud native network validated successfully","supportsPrivateDeployment":true,"supportsPublicDeployment":true,"updatedAt":"2026-04-14T10:05:00Z"}]}}}},"400":{"description":"bad_request: Response used on a bad request","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"auth_failure: Response used on authentication failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"forbidden: Response used on authorization failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"not_found: Response used when the requested resource is not found","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"failed_request: Response used on failure to import cloud native network","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"api_key_header_Authorization":[]}]}},"/2022-09-01-00/accountconfig/{id}/cloud-native-networks/{region}/{cloudNativeNetworkId}/unimport":{"post":{"tags":["account-config-api"],"summary":"UnimportAccountConfigCloudNativeNetwork account-config-api","description":"Unimport a cloud native network, reverting it from READY to AVAILABLE","operationId":"account-config-api#UnimportAccountConfigCloudNativeNetwork","parameters":[{"name":"id","in":"path","description":"Account Config ID to operate on","required":true,"schema":{"type":"string","description":"ID of an Account Config","example":"Molestias non saepe hic dolore et."},"example":"ac-12345678"},{"name":"region","in":"path","description":"The deployment region whose cloud native network row should be unimported","required":true,"schema":{"type":"string","description":"The deployment region whose cloud native network row should be unimported","example":"us-east-1"},"example":"us-east-1"},{"name":"cloudNativeNetworkId","in":"path","description":"The provider-native network ID to unimport. Rejected with HTTP 400 if the network is currently in use by a host cluster.","required":true,"schema":{"type":"string","description":"The provider-native network ID to unimport. Rejected with HTTP 400 if the network is currently in use by a host cluster.","example":"/subscriptions/12345678-1234-1234-1234-123456789abc/resourceGroups/customer-rg/providers/Microsoft.Network/virtualNetworks/customer-vnet"},"example":"/subscriptions/12345678-1234-1234-1234-123456789abc/resourceGroups/customer-rg/providers/Microsoft.Network/virtualNetworks/customer-vnet"}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListAccountConfigCloudNativeNetworksResult"},"example":{"cloudNativeNetworks":[{"accountConfigId":"Itaque ut eum occaecati quis.","cidr":"10.0.0.0/16","cloudNativeNetworkId":"/subscriptions/12345678-1234-1234-1234-123456789abc/resourceGroups/customer-rg/providers/Microsoft.Network/virtualNetworks/customer-vnet","createdAt":"2026-04-14T10:00:00Z","hostClusters":[{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"},{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"}],"id":"acvpc-12345678","imported":true,"inUse":false,"name":"production-vpc","privateSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"publicSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"region":"us-east-1","status":"PENDING|VERIFYING|READY|FAILED","statusMessage":"Cloud native network validated successfully","supportsPrivateDeployment":true,"supportsPublicDeployment":true,"updatedAt":"2026-04-14T10:05:00Z"},{"accountConfigId":"Itaque ut eum occaecati quis.","cidr":"10.0.0.0/16","cloudNativeNetworkId":"/subscriptions/12345678-1234-1234-1234-123456789abc/resourceGroups/customer-rg/providers/Microsoft.Network/virtualNetworks/customer-vnet","createdAt":"2026-04-14T10:00:00Z","hostClusters":[{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"},{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"}],"id":"acvpc-12345678","imported":true,"inUse":false,"name":"production-vpc","privateSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"publicSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"region":"us-east-1","status":"PENDING|VERIFYING|READY|FAILED","statusMessage":"Cloud native network validated successfully","supportsPrivateDeployment":true,"supportsPublicDeployment":true,"updatedAt":"2026-04-14T10:05:00Z"},{"accountConfigId":"Itaque ut eum occaecati quis.","cidr":"10.0.0.0/16","cloudNativeNetworkId":"/subscriptions/12345678-1234-1234-1234-123456789abc/resourceGroups/customer-rg/providers/Microsoft.Network/virtualNetworks/customer-vnet","createdAt":"2026-04-14T10:00:00Z","hostClusters":[{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"},{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"}],"id":"acvpc-12345678","imported":true,"inUse":false,"name":"production-vpc","privateSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"publicSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"region":"us-east-1","status":"PENDING|VERIFYING|READY|FAILED","statusMessage":"Cloud native network validated successfully","supportsPrivateDeployment":true,"supportsPublicDeployment":true,"updatedAt":"2026-04-14T10:05:00Z"},{"accountConfigId":"Itaque ut eum occaecati quis.","cidr":"10.0.0.0/16","cloudNativeNetworkId":"/subscriptions/12345678-1234-1234-1234-123456789abc/resourceGroups/customer-rg/providers/Microsoft.Network/virtualNetworks/customer-vnet","createdAt":"2026-04-14T10:00:00Z","hostClusters":[{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"},{"eligibleToImport":true,"ineligibilityReason":"Host cluster is already imported","name":"existing-eks-cluster"}],"id":"acvpc-12345678","imported":true,"inUse":false,"name":"production-vpc","privateSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"publicSubnets":[{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true},{"az":"us-east-1a","cidr":"10.0.1.0/24","id":"subnet-0abc123def456","isPublic":false,"isTagged":true}],"region":"us-east-1","status":"PENDING|VERIFYING|READY|FAILED","statusMessage":"Cloud native network validated successfully","supportsPrivateDeployment":true,"supportsPublicDeployment":true,"updatedAt":"2026-04-14T10:05:00Z"}]}}}},"400":{"description":"bad_request: Response used on a bad request","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"auth_failure: Response used on authentication failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"forbidden: Response used on authorization failure","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"not_found: Response used when the requested resource is not found","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"failed_request: Response used on failure to unimport cloud native network","content":{"application/vnd.goa.error":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"api_key_header_Authorization":[]}]}},"/2022-09-01-00/api-key":{"get":{"tags":["api-key-api"],"summary":"ListAPIKeys api-key-api","operationId":"api-key-api#ListAPIKeys","responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListAPIKeysResult"},"example":{"apiKeys":[{"createdAt":"2
[...]
